Bug 516231 - (CVE-2009-2730) CVE-2009-2730 gnutls: incorrect verification of SSL certificate with NUL in name (GNUTLS-SA-2009-4)
CVE-2009-2730 gnutls: incorrect verification of SSL certificate with NUL in n...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,source=redhat,reporte...
: Security
Depends On: 516706 516707 516708 516709 805161
Blocks: 517000
  Show dependency treegraph
 
Reported: 2009-08-07 11:13 EDT by Tomas Hoger
Modified: 2012-03-20 11:42 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-05 11:54:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2009-08-07 11:13:39 EDT
A method to bypass SSL certificate name vs. host name verification via NUL
('\0') character embedded in X509 certificate's CommonName or subjectAltName
was presented at Black Hat USA 2009:

http://www.blackhat.com/html/bh-usa-09/bh-usa-09-archives.html#Marlinspike

This issue was originally reported for Firefox / NSS, but it affects GnuTLS' gnutls_x509_crt_check_hostname() too.
Comment 2 Tomas Hoger 2009-08-11 03:11:25 EDT
Upstream announcement:
  http://article.gmane.org/gmane.network.gnutls.general/1733
Comment 3 Tomas Hoger 2009-08-11 03:13:44 EDT
Note: 2.8.2 contains one unintended change, that can cause NULL defer crash and is already reverted in upstream git:

http://thread.gmane.org/gmane.comp.encryption.gpg.gnutls.devel/3725/focus=3768
Comment 6 Fedora Update System 2009-08-14 08:59:13 EDT
gnutls-2.6.6-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gnutls-2.6.6-2.fc11
Comment 7 Fedora Update System 2009-08-14 08:59:18 EDT
gnutls-2.4.2-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/gnutls-2.4.2-4.fc10
Comment 8 errata-xmlrpc 2009-08-26 10:49:56 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2009:1232 https://rhn.redhat.com/errata/RHSA-2009-1232.html
Comment 9 Fedora Update System 2009-09-25 16:06:58 EDT
gnutls-2.6.6-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-09-25 16:10:40 EDT
gnutls-2.4.2-5.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.